Bug#902185: udev: fails to configure with systemd 238-5

Sven Joachim svenjoac at gmx.de
Sat Jun 23 09:40:47 BST 2018


Package: udev
Version: 239-1
Severity: serious

Upgrading udev from 238-5 to 239-1 failed on two machines here, where I
did not upgrade systemd at the same time.  Upgrading systemd as well,
before udev or in the same run, fixed that in both cases.  I guess the
Breaks on systemd needs to be bumped to (<< 239), below is what happened
when systemd stayed at 238-5.

,----
| # dpkg -i /var/cache/apt/archives/*udev*239-1*
| (Reading database ... 135027 files and directories currently installed.)
| Preparing to unpack .../libudev1_239-1_amd64.deb ...
| De-configuring libudev1:i386 (238-5) ...
| Unpacking libudev1:amd64 (239-1) over (238-5) ...
| Preparing to unpack .../libudev1_239-1_i386.deb ...
| Unpacking libudev1:i386 (239-1) over (238-5) ...
| Preparing to unpack .../archives/udev_239-1_amd64.deb ...
| Unpacking udev (239-1) over (238-5) ...
| Setting up libudev1:amd64 (239-1) ...
| Setting up libudev1:i386 (239-1) ...
| Setting up udev (239-1) ...
| Job for systemd-udevd.service failed because the control process exited with error code.
| See "systemctl status systemd-udevd.service" and "journalctl -xe" for details.
| invoke-rc.d: initscript udev, action "restart" failed.
| * systemd-udevd.service - udev Kernel Device Manager
|    Loaded: loaded (/lib/systemd/system/systemd-udevd.service; static; vendor preset: enabled)
|    Active: activating (start) since Sat 2018-06-23 10:16:18 CEST; 4ms ago
|      Docs: man:systemd-udevd.service(8)
|            man:udev(7)
|  Main PID: 4228 ((md-udevd))
|     Tasks: 0
|    Memory: 0B
|    CGroup: /system.slice/systemd-udevd.service
|            `-4228 [(md-udevd)]
| 
| Jun 23 10:16:18 pavil systemd[1]: Starting udev Kernel Device Manager...
| dpkg: error processing package udev (--install):
|  installed udev package post-installation script subprocess returned error exit status 1
| Processing triggers for libc-bin (2.27-3) ...
| Processing triggers for systemd (238-5) ...
| Processing triggers for man-db (2.8.3-2) ...
| Errors were encountered while processing:
|  udev
`----

,----
| $ systemctl status systemd-udevd.service
| ‚óŹ systemd-udevd.service - udev Kernel Device Manager
|    Loaded: loaded (/lib/systemd/system/systemd-udevd.service; static; vendor preset: enabled)
|    Active: failed (Result: exit-code) since Sat 2018-06-23 10:16:18 CEST; 9min ago
|      Docs: man:systemd-udevd.service(8)
|            man:udev(7)
|  Main PID: 4230 (code=exited, status=127)
| 
| Jun 23 10:16:18 pavil systemd[1]: systemd-udevd.service: Service has no hold-off time, scheduling restart.
| Jun 23 10:16:18 pavil systemd[1]: systemd-udevd.service: Scheduled restart job, restart counter is at 5.
| Jun 23 10:16:18 pavil systemd[1]: Stopped udev Kernel Device Manager.
| Jun 23 10:16:18 pavil systemd[1]: systemd-udevd.service: Start request repeated too quickly.
| Jun 23 10:16:18 pavil systemd[1]: systemd-udevd.service: Failed with result 'exit-code'.
| Jun 23 10:16:18 pavil systemd[1]: Failed to start udev Kernel Device Manager.
| Jun 23 10:16:18 pavil systemd[1]: /lib/systemd/system/systemd-udevd.service:28: Unknown lvalue 'PrivateMounts' in secti\
| on 'Service'
| Jun 23 10:16:18 pavil systemd[1]: /lib/systemd/system/systemd-udevd.service:32: Unknown system call group, ignoring: @s\
| ystem-service
`----


-- System Information:
Debian Release: buster/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.16.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8), LANGUAGE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages udev depends on:
ii  adduser      3.117
ii  libacl1      2.2.52-3+b1
ii  libblkid1    2.32-0.1
ii  libc6        2.27-3
ii  libkmod2     25-1
ii  libselinux1  2.8-1
ii  libudev1     239-1
ii  lsb-base     9.20170808
ii  procps       2:3.3.15-2
ii  util-linux   2.32-0.1

udev recommends no packages.

udev suggests no packages.

Versions of packages udev is related to:
ii  systemd  238-5

-- no debconf information



More information about the Pkg-systemd-maintainers mailing list